// // info on https://sebastiandedeyne.com/exposing-multiple-vue-components-as-a-plugin
// // https://vuejs.org/v2/guide/plugins.html
//

// COMPONENTS

import CustomButton from "./components/Button.vue";
import LogoutButton from "./components/LogoutButton.vue";
import BrowserHappy from "./components/BrowserHappy.vue";
import CookieBanner from "./components/CookieBanner.vue";
import Modal from "./components/Modal.vue";
import Loader from "./components/Loader.vue";
import SortableTable from "./components/SortableTable.vue";
// form
import CustomCheckbox from "./components/form/Checkbox.vue";
import CustomInput from "./components/form/Input.vue";
import CustomSelect from "./components/form/Select.vue";
import CustomFile from "./components/form/File.vue";
import CustomAutocomplete from "./components/form/Autocomplete.vue";
import CustomAutocompleteGroup from "./components/form/Autocomplete-group.vue";
import FormBuilder from "./components/FormBuilder.vue";
import ACLController from "./components/ACLController.vue";
import CustomSlider from "./components/form/Slider.vue";
import CustomRadioButton from "./components/form/RadioButton.vue";
import CustomMultiSelect from "./components/form/MultiSelect";

import CustomDatePicker from "./components/form/DatePicker";
import CustomEditor from "./components/form/TextEditor";
import CustomCountrySelect from "./components/form/CountrySelect";
/*DAM*/
import DAMWrapper from "./components/DAM/DAMWrapper";
/*Custom Datepicker*/
import datePicker from "vue-datetime";

import Login from "./components/Login.vue";
import ResetPassword from "./components/ResetPassword.vue";
//TEMPLATES
import Inuit from "./templates/docs/Inuit.vue";
import Docs from "./templates/docs/Docs.vue";
import CustomComponentTests from "./templates/CoreComponentsTest/SubViews/CustomComponentTests";
import DAMComponentTests from "./templates/CoreComponentsTest/SubViews/DAMComponentTests";
import FormComponentTests from "./templates/CoreComponentsTest/SubViews/FormComponentTests";
import ScenarioComponentTests from "./templates/CoreComponentsTest/SubViews/ScenarioComponentTests";
//SERVICES
import EventBus from "./services/EventBus.js";
import OcuService from "./services/OcuService/OcuService.js";
import CrossbarService from "./services/CrossbarService.js";
import Bugsnag from "./services/Bugsnag";
import UUIDService from "./services/UUIDService";

import FeatureFlagService from "./services/FeatureFlagService";
//STORE
import store from "./store";

import axios from "axios";
/*Custom components*/
import CustomToggle from "vue-js-toggle-button";
import vueCountryRegionSelect from "vue-country-region-select";

Bugsnag.initialize();

//MIXINS
var fassetsfilter = require("./mixins/FassetsFilter.js").FacetsFilter;

//EXPORT
let Core = {
    install(Vue) {
        Vue.prototype.$dashboardStore = store;
        Vue.prototype.$ocuService = OcuService;
        Vue.prototype.$fassetsFilter = fassetsfilter;
        Vue.prototype.$crossbarService = CrossbarService;
        Vue.prototype.$UUID = UUIDService;
        Vue.use(CustomToggle);
        Vue.use(vueCountryRegionSelect);


    }
};

export {
    Core,
    CustomButton,
    LogoutButton,
    BrowserHappy,
    CookieBanner,
    Modal,
    Loader,
    SortableTable,
    CustomCheckbox,
    CustomInput,
    CustomSelect,
    CustomFile,
    CustomAutocomplete,
    CustomAutocompleteGroup,
    CustomSlider,
    CustomRadioButton,
    CustomToggle,
    CustomDatePicker,
    CustomCountrySelect,
    CustomMultiSelect,
    FormBuilder,
    ACLController,
    Login,
    ResetPassword,
    EventBus,
    Inuit,
    Docs,
    Bugsnag,
    datePicker,
    CustomEditor,
    FeatureFlagService,
    DAMWrapper,
    axios,
    CustomComponentTests,
    DAMComponentTests,
    FormComponentTests,
    ScenarioComponentTests
};
