import Bugsnag from '@bugsnag/js';
import bugsnagVue from '@bugsnag/plugin-vue'
import Vue from 'vue';


let bugsnagClient = null;

class BugsnagService {
    initialize(releaseStage = "development") {
        bugsnagClient = Bugsnag('6f25f801f1cef56a82393d7613f84834');
        bugsnagClient.notifyReleaseStages = ['production', 'staging', 'development'];
        bugsnagClient.releaseStage = releaseStage;

        bugsnagClient.use(bugsnagVue, Vue);
    }

    addProjectKey(projectName) {
        bugsnagClient.metaData = {
            settings: {
                projectName: projectName,
                currentStep: 'not loaded',
                application: 'not loaded',
                theme: 'not loaded'
            }
        };
    }

    notify(error) {
        bugsnagClient.notify(error);
    }
}

export default new BugsnagService();
