import axios from 'axios';

class OcuService {

    constructor() {
        this.basePath = window.Cypress ? "https://backend-cebeo-testing.ocular.be/" : window.env.SERVICEURL;
    }

    /*Menu*/
    getMenuItems() {
        return this.doApiCall('get', window.env.API + '/menu/tabs');
    }


    /*
    internal
    */
    doApiCall(type, endpoint, action, data = {}) {
        return new Promise(
            (resolve, reject) => {
                axios[type](this.basePath + endpoint, data)
                    .then(response => {
                        console.log("Ocu Service Response", action, endpoint, response);resolve(response.data)
                    })
                    .catch(error => {
                        console.log("Ocu Service Error", action, endpoint, error);
                        reject(error);
                    });
            });
    }

    doExcelCall(type, endpoint, action, data = {}) {
        return new Promise(
            (resolve, reject) => {
                axios({method:type,url:this.basePath + endpoint,data, responseType: 'blob'})
                    .then(response => {
                        console.log("Ocu Service Response", action, endpoint, response);resolve(response)
                    })
                    .catch(error => {
                        console.log("Ocu Service Error", action, endpoint, error);
                        reject(error);
                    });
            });
    }

}

export default new OcuService();
