import OcuService from '../OcuService'

class AmbiencesService {

    getAmbiences() {
        return OcuService.doApiCall('get', `${window.env.API}/ambiences`, {}, 'get ambiences');
    }

    getAllAmbiences() {
        return OcuService.doApiCall('get', `${window.env.API}/ambiences/all`, {}, 'get ambiences');
    }

    getAmbience(ambienceId) {
        return OcuService.doApiCall('get', `${window.env.API}/ambiences/${ambienceId}`, {}, 'get ambience');
    }

    createAmbience(ambienceData) {
        return OcuService.doApiCall('post', `${window.env.API}/ambiences`, {}, ambienceData);
    }

    updateAmbience(ambienceId, ambienceData) {
        return OcuService.doApiCall('put', `${window.env.API}/ambiences/${ambienceId}`, {}, ambienceData);
    }

    deleteAmbience(ambienceId) {
        return OcuService.doApiCall('delete', `${window.env.API}/ambiences/${ambienceId}`, {}, 'delete ambience');
    }

    uploadAmbienceImage(ambienceId, file) {
        return OcuService.doApiCall('post', `${window.env.API}/ambiences/${ambienceId}/images`, {}, file);
    }

    deleteAmbienceImage(ambienceId, ambienceImageId) {
        return OcuService.doApiCall('delete', `${window.env.API}/ambiences/${ambienceId}/images/${ambienceImageId}`, {}, 'delete ambience image');
    }

    getImageData(imageId) {
        return OcuService.doApiCall('get', `${window.env.API}/images/${imageId}`, 'get image data', {});
    }

    getAllTags() {
        return OcuService.doApiCall('get', `${window.env.API}/image/tags`, 'get tags data', {});
    }

    searchImagesByTags(tags) {
        return OcuService.doApiCall('post', `${window.env.API}/images/search`, 'search images by tags', {tags});
    }

    updateTagsOfImage(imageId, tags) {
        return OcuService.doApiCall('put', `${window.env.API}/images/${imageId}/tags`, 'update tags', {tags});
    }

    addImagesToAmbience(ambiencId, images) {
        return OcuService.doApiCall('post', `${window.env.API}/ambiences/${ambiencId}/images/add`, 'add images to ambience', {images});
    }

    deleteImage(imageId) {
        return OcuService.doApiCall('delete', `${window.env.API}/images/${imageId}`, 'delete image', {});
    }
}

export default new AmbiencesService();
