import OcuService from '../OcuService'

class CoverImageService {

    constructor() {
        this.api = window.env.API;
    }

    getCoverImages() {
        return OcuService.doApiCall('get', `${this.api}/covers`, 'get ambiences');
    }

    uploadCoverImage(data) {
        return OcuService.doApiCall('post', `${this.api}/covers`, 'upload cover image', data);
    }

    updateCoverImage(data) {
        return OcuService.doApiCall('put', `${this.api}/covers/${data.id}`, 'update cover image', data);
    }

    deleteCoverImage(coverId) {
        return OcuService.doApiCall('delete', `${this.api}/covers/${coverId}`, 'delete cover image');
    }
}

export default new CoverImageService();
