import OcuService from '../OcuService'

class TimeslotsService {

    getRegions() {
        return OcuService.doApiCall('get', `${window.env.API}/regions`, 'get all regions', {});
    }

    updateRegion({id, data}) {
        return OcuService.doApiCall('put', `${window.env.API}/regions/${id}`, 'update region', data);
    }

    createRegion(data) {
        return OcuService.doApiCall('put', `${window.env.API}/regions`, 'create region', data);
    }

    deleteRegion({id, data}) {
        return OcuService.doApiCall('post', `${window.env.API}/regions/${id}/delete`, 'delete region', data);
    }

    deleteStore({id, data}) {
        return OcuService.doApiCall('post', `${window.env.API}/stores/${id}/delete`, 'delete store', data);
    }

    getStores() {
        return OcuService.doApiCall('get', `${window.env.API}/stores`, 'get all stores', {});
    }

    getTimeslotBusinessHours(data) {
        return OcuService.doApiCall('get', `${window.env.API}/stores/hours`, 'get business hours', {params: data});
    }
}

export default new TimeslotsService();
