import OcuService from '../OcuService'

class SelectionsService {

    getSelections() {
        return OcuService.doApiCall('get', window.env.API + '/selections', {}, 'get selections');
    }

    getSelection(selectionId) {
        return OcuService.doApiCall('get', window.env.API + '/selections/' + selectionId, {}, 'get selection');
    }

    getSelectionSelectedProducts(selectionId) {
        return OcuService.doApiCall('get', `${window.env.API}/selections/${selectionId}/products/selected`, {}, 'get selection');
    }

    getSelectionProducts(selectionId, size, page) {
        return OcuService.doApiCall('post', `${window.env.API}/selections/${selectionId}/products?page[size]=${size}&page[number]=${page}`, 'get selection products', {});
    }

    createSelection(selectionData) {
        return OcuService.doApiCall('post', window.env.API + '/selections', {}, selectionData);
    }

    updateSelection(selectionId, selectionData) {
        return OcuService.doApiCall('put', window.env.API + '/selections/' + selectionId, {}, selectionData);
    }

    deleteSelection(selectionId) {
        return OcuService.doApiCall('delete', window.env.API + '/selections/' + selectionId, {}, 'delete selection');
    }

    uploadImport({selectionId, file}) {
        const data = new FormData();
        data.append("file", file);
        return OcuService.doApiCall('post', `${window.env.API}/selections/${selectionId}/imports`, 'upload import', data);
    }

    deleteImport({selectionId, importId}) {
        return OcuService.doApiCall('delete', `${window.env.API}/selections/${selectionId}/imports/${importId}`, 'delete import', {});
    }
}

export default new SelectionsService();
