import OcuService from '../OcuService'

class TimeslotsService {

    getTimeslots() {
        return OcuService.doApiCall('get', `${window.env.API}/timeslots`, {}, 'get timeslots');
    }

    getTimeslot(timeslotId) {
        return OcuService.doApiCall('get', `${window.env.API}/timeslots/${timeslotId}`, {}, 'get timeslot');
    }

    getAvailableDayparts(data) {
        return OcuService.doApiCall('get', `${window.env.API}/timeslots/available?date=${data.date}&visit=${data.visitId}`, 'get available dayparts');
    }

    createTimeslot(timeslotData) {
        return OcuService.doApiCall('post', `${window.env.API}/timeslots`, {}, timeslotData);
    }

    updateTimeslots(timeslotData) {
        return OcuService.doApiCall('put', `${window.env.API}/timeslots`, 'update timeslot', timeslotData);
    }

    deleteTimeslot(timeslotId) {
        return OcuService.doApiCall('delete', `${window.env.API}/timeslots/${timeslotId}`, {}, 'delete timeslot');
    }
}

export default new TimeslotsService();
