import OcuService from '../OcuService'

class ApplicationService {
    /*Applications*/
    getApplications() {
        return OcuService.doApiCall('get', window.env.API + "/applications");
    }

    getApplicationById(applicationId) {
        return OcuService.doApiCall('get', window.env.API + "/applications/" + applicationId);
    }

    createApplication(){
        return OcuService.doApiCall('put', window.env.API + '/applications', 'create application');
    }

    updateApplication(applicationData, applicationId) {
        return OcuService.doApiCall('post', window.env.API + '/applications/' + applicationId, 'updateApplication', applicationData);
    }

    duplicateApplication(applicationId) {
        return OcuService.doApiCall('put', window.env.API + '/applications/' + applicationId + '/duplicate', 'duplicateApplication');
    }

    deleteApplication(applicationId) {
        return OcuService.doApiCall('delete', window.env.API + '/applications/' + applicationId, 'deleteApplication');
    }
}

export default new ApplicationService()
