import OcuService from '../OcuService'

class AssetService {

    getAssets() {
        return OcuService.doApiCall('get', window.env.API + '/assets');
    }

    getAssetById(assetId) {
        return OcuService.doApiCall('get', window.env.API + '/assets/' + assetId);
    }

    getAssetContent(assetId) {
        return OcuService.doApiCall('get', window.env.API + '/assets/' + assetId + '/contents');
    }

    getAssetContentBySearch(assetId, searchParam) {
        return OcuService.doApiCall('get', window.env.API + '/assets/' + assetId + '/search/' + searchParam);
    }

    getSpecificAsset() {
        return OcuService.doApiCall('get', window.env.API + '/assets/type');
    }

    reIndexAssets(projectId) {
        return OcuService.doApiCall('get', window.env.API + '/assets/reindex/' + projectId)
    }

    resolveAsset(assetId, moduleId) {
        return OcuService.doApiCall('get', window.env.API + '/assets/' + assetId + '/module/' + moduleId, 'resolve asset');
    }

    addAssetToGenericModule(params, moduleId) {
        return OcuService.doApiCall('post', window.env.API + '/assets/module/' + moduleId, 'save asset in db ', params)
    }

    deleteAssetFromGenericModule(params, moduleId) {
        return OcuService.doApiCall('post', window.env.API + '/assets/module/' + moduleId, 'delete assets from db', params);
    }

    getListOfAssets(projectId) {
        return OcuService.doApiCall('get', window.env.API + '/assets/list/' + projectId);
    }

    uploadAsset(asset) {
        let data = new FormData();
        data.append("file", asset);

        return OcuService.doApiCall('post', window.env.API + '/assets', 'uploadAsset', data);
    }

    deleteAsset(path) {
        let data = {
            data: path
        };
        return OcuService.doApiCall('post', window.env.API + '/assets/delete', 'deleteAsset', data);
    }

    deleteAllAssetsForModule(moduleId) {
        return OcuService.doApiCall('delete', window.env.API + '/assets/module/' + moduleId + '/all', 'delete all assets for module')
    }


    /*Uploads*/

    getUploads() {
        return OcuService.doApiCall('get', window.env.API + '/uploads');
    }

    uploadFile(file) {
        return OcuService.doApiCall('post', window.env.API + '/uploads', 'uploadFile', file);
    }

    deleteUpload(uploadId) {
        return OcuService.doApiCall('delete', window.env.API + '/uploads/' + uploadId);
    }

    processUploadToMas(uploadId) {
        return OcuService.doApiCall('get', window.env.API + '/uploads/' + uploadId + '/process/mas');
    }


    /*Crossbar*/
    getCrossbarSettings() {
        return OcuService.doApiCall('get', window.env.API + "/dependencies/crossbar", 'get crossbar settings')
    }

}


export default new AssetService()
