import OcuService from '../OcuService'

class DocumentService {
    /*
    types
    */
    getDocumentTypes() {
        return OcuService.doApiCall('get', window.env.API + '/types/list', 'getDocumentTypes');
    }

    getDocumentType(documentTypeId) {
        return OcuService.doApiCall('get', window.env.API + '/types/' + documentTypeId, 'getDocumentType');
    }

    getDocumentsForType(documentTypeId) {
        return OcuService.doApiCall('get', window.env.API + '/types/' + documentTypeId + '/list', 'getDocumentsForType');
    }


    /*
documents
*/
    getDocument(documentId) {
        return OcuService.doApiCall('get', window.env.API + '/documents/' + documentId, 'getDocument');
    }

    createDocument(documentTypeId, documentJson) {
        let data = {
            documentTypeId: documentTypeId,
            data: documentJson
        };

        return OcuService.doApiCall('put', window.env.API + '/documents', 'createDocument', data);
    }

    updateDocument(documentId, documentJson) {
        let data = {
            data: documentJson
        };
        return OcuService.doApiCall('post', window.env.API + '/documents/' + documentId, 'updateDocument', data);
    }

    deleteDocument(documentId) {
        return OcuService.doApiCall('delete', window.env.API + '/documents/' + documentId, 'deleteDocument');
    }
}

export default new DocumentService()
