import OcuService from '../OcuService'

class ExhibitService {
    /*
  exhibits
  */
    getExhibits() {
        return OcuService.doApiCall('get', window.env.API + '/exhibits');
    }

    getAllExhibits() {
        return OcuService.doApiCall('get', window.env.API + '/exhibits/all');
    }

    createExhibit(exhibit) {
        return OcuService.doApiCall('put', window.env.API + '/exhibits', 'createExhibit', exhibit)
    }

    getExhibit(exhibitID) {
        return OcuService.doApiCall('get', window.env.API + '/exhibits/' + exhibitID);
    }

    updateExhibit(exhibitData, exhibitId) {
        return OcuService.doApiCall('post', window.env.API + '/exhibits/' + exhibitId, 'updateExhibit', exhibitData);
    }

    deleteExhibit(exhibitId) {
        return OcuService.doApiCall('delete', window.env.API + '/exhibit/' + exhibitId, 'deleteExhibit');
    }

    getDevicesInExhibit(exhibitID) {
        return OcuService.doApiCall('get', window.env.API + '/exhibits/' + exhibitID + '/devices');
    }

    getResourceLinesSetToExhibit(exhibitId) {
        return OcuService.doApiCall('get', window.env.API + '/exhibits/' + exhibitId + '/resourcelines');
    }

    setResourceLineToExhibit(exhibitID, resourceLineID) {
        return OcuService.doApiCall('post', window.env.API + '/exhibits/' + exhibitID + '/resourcelines/' + resourceLineID);
    }

}

export default new ExhibitService()
