import OcuService from '../OcuService';

class LanguageService {
    getAvailableLanguages() {
        return OcuService.doApiCall('get', window.env.API + '/languages', 'get all languages');
    }

    setLanguagesForProject(languages) {
        return OcuService.doApiCall('post', window.env.API + '/languages', 'set languages for project', languages)
    }

    getAllLanguages() {
        return OcuService.doApiCall('get', window.env.API + '/languages/all', 'get all languages');
    }

    addLanguageToProject(languageId, projectId) {
        return OcuService.doApiCall('post', window.env.API + '/languages/' + languageId + '/projects/' + projectId, 'add language to project');
    }

    deleteLanguageFromProject(languageId, projectId) {
        return OcuService.doApiCall('delete', window.env.API + '/languages/' + languageId + '/projects/' + projectId, 'delete language to project');

    }

}

export default new LanguageService()
