import OcuService from '../OcuService'

class ModuleService {
    /*Modules*/
    getModuleTypes() {
        return OcuService.doApiCall('get', window.env.API + '/moduletypes');
    }

    getModulesOfModuleType(moduleTypeId) {
        return OcuService.doApiCall('get', window.env.API + '/moduletypes/' + moduleTypeId + '/modules');
    }

    getGenericModulesOfType(moduleType){
        return OcuService.doApiCall('get',window.env.API + '/moduletypes/Generic/type/'+moduleType, 'get generic modules of type');
    }

    getModuleById(moduleId) {
        return OcuService.doApiCall('get', window.env.API + "/modules/" + moduleId + '/form')
    }

    createModule(moduleData) {
        return OcuService.doApiCall('put', window.env.API + '/modules', 'createModule', moduleData);
    }

    updateModule(moduleId, moduleData) {
        return OcuService.doApiCall('post', window.env.API + '/modules/' + moduleId, 'updateModule', moduleData);
    }

    deleteModule(moduleId) {
        return OcuService.doApiCall('delete', window.env.API + '/modules/' + moduleId, "deleteModule");
    }
    duplicateModule(moduleId){
        return OcuService.doApiCall('put', window.env.API +'/modules/'+ moduleId +'/duplicate');
    }
}

export default new ModuleService()
