import OcuService from '../OcuService';

class ProjectService {
    /*Projects*/
    getAvailableProjects() {
        return OcuService.doApiCall('get', window.env.API + '/projects');
    }

    getAllProjects() {
        return OcuService.doApiCall('get', window.env.API + '/projects/all');
    }

    getProject(projectId) {
        return OcuService.doApiCall('get', window.env.API + '/projects/' + projectId, 'getProjectById');
    }

    createProject(projectData) {
        return OcuService.doApiCall('put', window.env.API + '/projects', 'createProject', projectData);
    }

    getCurrentProjectLanguages() {
        return OcuService.doApiCall('get', window.env.API + '/projects/languages')
    }

    updateProject(projectData, projectId) {
        return OcuService.doApiCall('post', window.env.API + '/projects/' + projectId, 'updateProject', projectData);
    }

    setProjectToUser(projectId, userId, permissions) {
        return OcuService.doApiCall('put', window.env.API + '/projects/' + projectId + '/users/' + userId, "add project to user", permissions);
    }

    deleteProjectFromUser(projectId, userId) {

        return OcuService.doApiCall('delete', window.env.API + '/projects/' + projectId + '/users/' + userId)
    }

    addModuleTypeToProject(projectId, moduleTypeId) {
        return OcuService.doApiCall('post', window.env.API + '/projects/' + projectId + '/moduletypes/' + moduleTypeId, 'add moduletype to project');
    }

    deleteModuleTypeFromProject(projectId, moduleTypeId) {
        return OcuService.doApiCall('delete', window.env.API + '/projects/' + projectId + '/moduletypes/' + moduleTypeId, 'remove moduletype from project');
    }
}

export default new ProjectService()
