import OcuService from '../OcuService'

class ScenarioService {
    getScenarios() {
        return OcuService.doApiCall('get', window.env.API + "/scenarios")
    }

    getScenarioById(scenarioId) {
        return OcuService.doApiCall('get', window.env.API + '/scenarios/' + scenarioId);
    }

    createScenario(scenarioData) {
        return OcuService.doApiCall('put', window.env.API + '/scenarios', 'createScenario', scenarioData);
    }

    updateScenario(scenarioData, scenarioId) {
        return OcuService.doApiCall('post', window.env.API + '/scenarios/' + scenarioId, 'updateScenario', scenarioData);
    }

    deleteScenario(scenarioId) {
        return OcuService.doApiCall('delete', window.env.API + '/scenarios/' + scenarioId);
    }

    duplicateScenario(scenarioId) {
        return OcuService.doApiCall('put', window.env.API + '/scenarios/' + scenarioId + '/duplicate', 'duplicate scenario');
    }

    setLanguagesOfScenario(scenarioId, scenarioData) {
        return OcuService.doApiCall('post', window.env.API + '/scenarios/' + scenarioId + '/languages', "setScenarioLanguages", scenarioData);
    }

    setDefaultScenarioToProject(scenarioId) {
        return OcuService.doApiCall('post', window.env.API + '/scenarios/' + scenarioId + '/default', 'updateDefaultScenario')
    }

    getScenarioClientData(clientId) {
        return OcuService.doApiCall('get', window.env.API + '/clients/' + clientId, 'get scenario client data');
    }

    getScenarioClientReadOnlyData(exhibitId){
        return OcuService.doApiCall('get',window.env.API + '/clients/read/'+exhibitId,'get read only data scenario client')
    }
    getScenarioClientDashboardData(exhibitId){
        return OcuService.doApiCall('get',window.env.API + '/clients/dashboard/'+exhibitId,'get dashboard scenario client data');
    }


    /*Actions*/
    getScenarioActionById(actionId) {
        return OcuService.doApiCall('get', window.env.API + '/actions/' + actionId);
    }

    createAction(actionData) {
        return OcuService.doApiCall('put', window.env.API + '/actions', 'createAction', actionData);
    }

    updateAction(actionData, actionId) {
        return OcuService.doApiCall('post', window.env.API + '/actions/' + actionId, 'updateAction', actionData)
    }

    deleteAction(actionId) {
        return OcuService.doApiCall('delete', window.env.API + '/actions/' + actionId, 'deleteAction');
    }

    getActionDeplopyments(actionId) {
        return OcuService.doApiCall('get', window.env.API + '/actions/' + actionId + '/deployments');
    }

    getScenarioActions(scenarioId) {
        return OcuService.doApiCall('get', window.env.API + '/scenarios/' + scenarioId + '/actions');
    }


    /*Triggers*/
    getScenarioTriggers(scenarioId) {
        return OcuService.doApiCall('get', window.env.API + '/scenarios/' + scenarioId + "/triggers");
    }

    getScenarioTriggerById(triggerId) {
        return OcuService.doApiCall('get', window.env.API + '/triggers/' + triggerId);
    }

    createTrigger(triggerData) {
        return OcuService.doApiCall('put', window.env.API + '/triggers', 'createTrigger', triggerData);
    }

    updateTrigger(triggerData, triggerId) {
        return OcuService.doApiCall('post', window.env.API + '/triggers/' + triggerId, 'updateTrigger', triggerData);
    }

    deleteTrigger(triggerId) {
        return OcuService.doApiCall('delete', window.env.API + '/triggers/' + triggerId, 'deleteTrigger');
    }

    getActionsOfTrigger(triggerId) {
        return OcuService.doApiCall('get', window.env.API + '/triggers/' + triggerId + '/actions');
    }
}

export default new ScenarioService()
