import AmbiencesService from "../../services/OcuService/cebeo/ambiencesService";

const state = {
    ambiances: [],
};

const mutations = {};

const getters = {};

const actions = {
    getAmbiences: ({commit}) => {
        return new Promise((resolve, reject) => {
            AmbiencesService.getAmbiences()
                .then((response) => resolve(response))
                .catch((error) => reject(error));
        });
    },

    getAllAmbiences: ({commit}) => {
        return new Promise((resolve, reject) => {
            AmbiencesService.getAllAmbiences()
                .then((response) => resolve(response))
                .catch((error) => reject(error));
        });
    },

    getAmbience: ({commit}, ambienceId) => {
        return new Promise((resolve, reject) => {
            AmbiencesService.getAmbience(ambienceId)
                .then((response) => resolve(response))
                .catch((error) => reject(error));
        });
    },

    createAmbience: ({commit}, ambienceData) => {
        return new Promise((resolve, reject) => {
            AmbiencesService.createAmbience(ambienceData)
                .then((response) => resolve(response))
                .catch((error) => reject(error));
        });
    },

    updateAmbience: ({commit}, {ambienceId, ambienceData}) => {
        return new Promise((resolve, reject) => {
            AmbiencesService.updateAmbience(ambienceId,ambienceData)
                .then((response) => resolve(response))
                .catch((error) => reject(error));
        });
    },

    deleteAmbience: ({commit}, ambienceId) => {
        return new Promise((resolve, reject) => {
            AmbiencesService.deleteAmbience(ambienceId)
                .then((response) => resolve(response))
                .catch((error) => reject(error));
        });
    },

    uploadAmbienceImage: ({commit}, {ambienceId, file, tags}) => {
        const data = new FormData();
        data.append("file", file);
        data.append("tags", JSON.stringify(tags));
        return new Promise((resolve, reject) => {
            AmbiencesService.uploadAmbienceImage(ambienceId, data)
                .then((response) => resolve(response))
                .catch((error) => reject(error));
        });
    },

    deleteAmbienceImage: ({commit}, {ambienceId, ambienceImageId}) => {
        return new Promise((resolve, reject) => {
            AmbiencesService.deleteAmbienceImage(ambienceId, ambienceImageId)
                .then((response) => resolve(response))
                .catch((error) => reject(error));
        });
    },

    getImageData: ({commit}, {imageId}) => {
        return new Promise((resolve, reject) => {
            AmbiencesService.getImageData(imageId)
                .then((response) => resolve(response))
                .catch((error) => reject(error));
        });
    },

    getAllTags: ({commit}) => {
        return new Promise((resolve, reject) => {
            AmbiencesService.getAllTags()
                .then((response) => resolve(response))
                .catch((error) => reject(error));
        });
    },

    searchImagesByTags: ({commit}, {tags}) => {
        return new Promise((resolve, reject) => {
            AmbiencesService.searchImagesByTags(tags)
                .then((response) => resolve(response))
                .catch((error) => reject(error));
        });
    },

    updateTagsOfImage: ({commit}, {imageId, tags}) => {
        return new Promise((resolve, reject) => {
            AmbiencesService.updateTagsOfImage(imageId, tags)
                .then((response) => resolve(response))
                .catch((error) => reject(error));
        });
    },

    addImagesToAmbience: ({commit}, {ambienceId, images}) => {
        return new Promise((resolve, reject) => {
            AmbiencesService.addImagesToAmbience(ambienceId, images)
                .then((response) => resolve(response))
                .catch((error) => reject(error));
        });
    },

    deleteImage: ({commit}, {imageId}) => {
        return new Promise((resolve, reject) => {
            AmbiencesService.deleteImage(imageId)
                .then((response) => resolve(response))
                .catch((error) => reject(error));
        });
    }
};


export default {
    state,
    actions,
    mutations,
    getters
}
