import SelectionService from "../../services/OcuService/cebeo/selectionsService";

const state = {
    selections: [],
};

const mutations = {};

const getters = {};

const actions = {
    getSelections: ({commit}) => {
        return new Promise((resolve, reject) => {
            SelectionService.getSelections()
                .then((response) => resolve(response))
                .catch((error) => reject(error));
        });
    },

    getSelection: ({commit}, selectionId) => {
        return new Promise((resolve, reject) => {
            SelectionService.getSelection(selectionId)
                .then((response) => resolve(response))
                .catch((error) => reject(error));
        });
    },

    getSelectionSelectedProducts: ({commit}, selectionId) => {
        return new Promise((resolve, reject) => {
            SelectionService.getSelectionSelectedProducts(selectionId)
                .then((response) => resolve(response))
                .catch((error) => reject(error));
        });
    },

    getSelectionProducts: ({commit}, {selectionId, page, size, sort = 'name_raw'}) => {
        return new Promise((resolve, reject) => {
            SelectionService.getSelectionProducts(selectionId, size, page, sort)
                .then((response) => resolve(response))
                .catch((error) => reject(error));
        });
    },

    createSelection: ({commit}, selectionData) => {
        return new Promise((resolve, reject) => {
            SelectionService.createSelection(selectionData)
                .then((response) => resolve(response))
                .catch((error) => reject(error));
        });
    },

    updateSelection: ({commit}, {selectionId, selectionData}) => {
        return new Promise((resolve, reject) => {
            SelectionService.updateSelection(selectionId, selectionData)
                .then((response) => resolve(response))
                .catch((error) => reject(error));
        });
    },

    deleteSelection: ({commit}, selectionId) => {
        return new Promise((resolve, reject) => {
            SelectionService.deleteSelection(selectionId)
                .then((response) => resolve(response))
                .catch((error) => reject(error));
        });
    },

    uploadImport({commit}, uploadData) {
        return new Promise((resolve, reject) => {
            SelectionService.uploadImport(uploadData)
                .then((response) => resolve(response))
                .catch((error) => reject(error));
        });
    },

    deleteImport({commit}, data) {
        return new Promise((resolve, reject) => {
            SelectionService.deleteImport(data)
                .then((response) => resolve(response))
                .catch((error) => reject(error));
        });
    }
};


export default {
    state,
    actions,
    mutations,
    getters
}
