import TimeslotService from "../../services/OcuService/cebeo/timeslotsService";

const state = {
    timeslots: [],
};

const mutations = {};

const getters = {};

const actions = {
    getTimeslots: ({commit}) => {
        return new Promise((resolve, reject) => {
            TimeslotService.getTimeslots()
                .then((response) => resolve(response))
                .catch((error) => reject(error));
        });
    },

    getTimeslot: ({commit}, timeslotId) => {
        return new Promise((resolve, reject) => {
            TimeslotService.getTimeslot(timeslotId)
                .then((response) => resolve(response))
                .catch((error) => reject(error));
        });
    },

    getAvailableDayparts: ({commit}, data) => {
        return new Promise((resolve, reject) => {
            TimeslotService.getAvailableDayparts(data)
                .then((response) => resolve(response))
                .catch((error) => reject(error));
        });
    },

    createTimeslot: ({commit}, timeslotData) => {
        return new Promise((resolve, reject) => {
            TimeslotService.createTimeslot(timeslotData)
                .then((response) => resolve(response))
                .catch((error) => reject(error));
        });
    },

    updateTimeslots: ({commit}, timeslotData) => {
        return new Promise((resolve, reject) => {
            TimeslotService.updateTimeslots(timeslotData)
                .then((response) => resolve(response))
                .catch((error) => reject(error));
        });
    },

    deleteTimeslot: ({commit}, timeslotId) => {
        return new Promise((resolve, reject) => {
            TimeslotService.deleteTimeslot(timeslotId)
                .then((response) => resolve(response))
                .catch((error) => reject(error));
        });
    }
};


export default {
    state,
    actions,
    mutations,
    getters
}
