import Vue from "vue";
import Vuex from "vuex";

import documentModule from "./modules/documents/documents.js";
import usersModule from "./modules/users.js";
import assetsModule from "./modules/assets/assets.js";

import exhibitsModule from "./modules/exhibits.js";
import resourcesModule from "./modules/resourceLines.js";

import menuModule from "./modules/menu.js";
import themesModule from "./modules/themes.js";
import labelsModule from "./modules/labels.js";
import modulesModule from "./modules/modules";
import applicationsModule from "./modules/applications";
import languagesModule from "./modules/languages";

import projectsModule from "./modules/projects";
import visitorsModule from "./modules/visitors";
import featureFlagsModule from "./modules/featureFlags";

import jobsModule from "./modules/jobs";

import uploadsModule from "./modules/assets/uploads";
/*Scenario Related Vuex Stores*/
import scenariosModule from "./modules/scenario/scenarios";
import actionsModule from "./modules/scenario/actions";
import triggersModule from "./modules/scenario/triggers";
/*Device Related Vuex Stores*/
import devicesModule from "./modules/devices/devices.js";
import deploymentsModule from "./modules/devices/deployments";
import deviceGroupsModule from "./modules/devices/deviceGroups";
import deviceTypesModule from "./modules/devices/deviceTypes";
import presetsModule from "./modules/devices/presets.js";
import customerModule from "./modules/customers";

import ambiences from "./cebeo/ambiences";
import products from "./cebeo/products";
import selections from "./cebeo/selections";
import customers from "./cebeo/customers";
import etims from "./cebeo/etims";
import timeslots from "./cebeo/timeslots";
import unavailabilities from "./cebeo/unavailabilities";
import general from "./cebeo/general";
import regions from "./cebeo/regions";
import coverImages from "./cebeo/coverImages";
import sorting from "./cebeo/sorting";

Vue.use(Vuex);
const debug = window.env.NODE_ENV !== "production";

const store = new Vuex.Store({
    modules: {
        documents: documentModule,
        users: usersModule,

        /*Asset Vuex Store Modules */
        assets: assetsModule,
        uploads: uploadsModule,

        exhibits: exhibitsModule,
        resourceLines: resourcesModule,

        menu: menuModule,
        themes: themesModule,
        labels: labelsModule,
        modules: modulesModule,
        applications: applicationsModule,
        projects: projectsModule,
        visitors: visitorsModule,

        jobs: jobsModule,

        /*Device Vuex Store Modules*/
        devices: devicesModule,
        deployments: deploymentsModule,
        deviceGroups: deviceGroupsModule,
        deviceTypes: deviceTypesModule,
        presets: presetsModule,
        customers: customerModule,
        languages: languagesModule,

        //feature flags
        featureFlags: featureFlagsModule,

        /*Scenario Vuex Store Modules*/
        scenarios: scenariosModule,
        actions: actionsModule,
        triggers: triggersModule,

        /*CEBEO*/
        selections,
        products,
        cebeoCustomers: customers,
        ambiences,
        etims,
        timeslots,
        unavailabilities,
        general,
        regions,
        coverImages,
        sorting
    },
    strict: false
});
export default store;
