import ApplicationService from "../../services/OcuService/modules/applicationService";

const state = {
    applications: [],
};
const mutations = {
    SET_APPLICATIONS(state, applications) {
        state.applications = applications;
    }
};
const getters = {
    getApplications: (state) => () => {
        return state.applications
    }
};
const actions = {
    getApplications: ({commit, getters}) => {
        return new Promise((resolve, reject) => {
            if (getters.getApplications().length > 0) {
                resolve(getters.getApplications().slice(0));
            } else {
                ApplicationService.getApplications()
                    .then((response) => resolve(response))
                    .catch((error) => reject(error))
            }
        })
    },

    getApplication: ({commit}, applicationId) => {
        return new Promise((resolve, reject) => {
            ApplicationService.getApplicationById(applicationId)
                .then((response) => resolve(response))
                .catch((error) => reject(error));
        });
    },

    createApplication: ({commit}) => {
        return new Promise((resolve, reject) => {
            ApplicationService.createApplication()
                .then((response) => resolve(response))
                .catch((error) => reject(error));
        });
    },

    updateApplication: ({commit}, {applicationData, applicationId}) => {
        return new Promise((resolve, reject) => {
            ApplicationService.updateApplication(applicationData, applicationId)
                .then((response) => resolve(response))
                .catch((error) => reject(error));
        });
    },

    duplicateApplication: ({commit}, {applicationId}) => {
        return new Promise((resolve, reject) => {
            ApplicationService.duplicateApplication(applicationId)
                .then((response) => resolve(response))
                .catch((error) => reject(error));
        });
    },

    deleteApplication: ({commit}, {applicationId}) => {
        return new Promise((resolve, reject) => {
            ApplicationService.deleteApplication(applicationId)
                .then((response) => resolve(response))
                .catch((error) => reject(error));
        });
    }
};

export default {
    state, mutations, getters, actions,
}
