import AssetService from '../../../services/OcuService/modules/assetService';

const state = {};
const mutations = {};
const getters = {};
const actions = {
    getUploads: () => {
        return new Promise((resolve, reject) => {
            AssetService.getUploads()
                .then((response) => resolve(response))
                .catch((error) => reject(error));
        });
    },

    uploadFile: ({file}) => {
        return new Promise((resolve, reject) => {
            AssetService.uploadFile(file)
                .then((response) => resolve(response))
                .catch((error) => reject(error));
        });
    },

    deleteUpload: ({commit},{uploadId}) => {
        return new Promise((resolve, reject) => {
            AssetService.deleteUpload(uploadId)
                .then((response) => resolve(response))
                .catch((error) => reject(error));
        });
    },

    processUploadToMas: ({uploadId}) => {
        return new Promise((resolve, reject) => {
            AssetService.processUploadToMas(uploadId)
                .then((response)=>resolve(response))
                .catch((error)=>reject(error))
        });
    }
};


export default {
    state, mutations, getters, actions
}
