import DeviceService from "../../../services/OcuService/modules/deviceService";

const state = {
    deviceTypes: []
};

const mutations = {
    SET_DEVICE_TYPES(state, deviceTypes) {
        state.deviceTypes = deviceTypes;
    }
};

const getters = {
    getDeviceTypes: (state) => () => {
        return state.deviceTypes;
    }
};

const actions = {
    /*Device types*/
    getDeviceTypes: ({commit, getters}) => {
        return new Promise((resolve, reject) => {
            if (getters.getDeviceTypes.length > 0) {
                resolve(getters.getDeviceTypes().slice(0));
            }
            else {
                DeviceService.getDeviceTypes()
                    .then((response) => {
                        commit('SET_DEVICE_TYPES', response);
                        resolve(response);
                    })
                    .catch((error) => reject(error));
            }
        });
    },

    getDeviceType: (context, deviceTypeID) => {
        return new Promise((resolve, reject) => {
            DeviceService.getDeviceType(deviceTypeID)
                .then((response) => resolve(response))
                .catch((error) => reject(error));
        });
    },

    getPresetsForDeviceType: ({},deviceTypeId) => {
        return new Promise((resolve, reject) => {
            DeviceService.getPresetsForDeviceType(deviceTypeId)
                .then((response) => resolve(response))
                .catch((error) => reject(error));
        });
    }
};


export default {
    state, mutations, getters, actions
}
