import LanguageService from "../../services/OcuService/modules/languageService";

const state = {
    languages: [],
};

const mutations = {};

const getters = {};

const actions = {
    getAvailableLanguages: ({}) => {
        return new Promise((resolve, reject) => {
            LanguageService.getAvailableLanguages()
                .then((response) => resolve(response))
                .catch((error) => reject(error));
        });
    },

    setLanguagesForProject: ({}, {languages}) => {
        return new Promise((resolve, reject) => {
            LanguageService.setLanguagesForProject(languages)
                .then((response) => resolve(response))
                .catch((error) => reject(error));
        });
    },

    getAllLanguages: ({}) => {
        return new Promise((resolve, reject) => {
            LanguageService.getAllLanguages()
                .then((response) => resolve(response))
                .catch((error) => reject(error));
        });
    },
    addLanguageToProject: ({}, {languageId, projectId}) => {
        return new Promise((resolve, reject) => {
            LanguageService.addLanguageToProject(languageId, projectId)
                .then((response) => resolve(response))
                .catch((error) => reject(error));
        });
    },

    removeLanguageFromProject: ({}, {languageId, projectId}) => {
        return new Promise((resolve, reject) => {
            LanguageService.deleteLanguageFromProject(languageId, projectId)
                .then((response) => resolve(response))
                .catch((error) => reject(error));
        });
    }
};


export default {
    state, mutations, getters, actions
}
