import OcuService from "../../services/OcuService/OcuService";

const state = {
    menuItems: null,
};

const mutations = {
    SET_PROP(state, menuItems) {
        state.menuItems = menuItems;
    }
};

const getters = {
    getMenuItems: (state) => () => {
        return state.menuItems;
    }
};

const actions = {
    getMenuItems: ({commit, getters}) => {
        return new Promise((resolve, reject) => {
            if (getters.getMenuItems() !== null) {
                resolve(getters.getMenuItems());
            } else {
                OcuService.getMenuItems()
                    .then((response) => resolve(response))
                    .catch((error) => reject(error))
            }
        })
    }
};

export default {
    state, mutations, getters, actions
}
