import ResourceLineService from "../../services/OcuService/modules/resourceLineService";

const state = {
    resourceLines: [],
};

const mutations = {
    SET_RESOURCE_LINES(state, resourceLines) {
        state.resourceLines = resourceLines;
    }
};

const getters = {
    getResourceLines: (state) => () => {
        return state.resourceLines;
    }
};

const actions = {
    getResourceLines: ({}) => {
        return new Promise((resolve, reject) => {
                ResourceLineService.getResourceLines()
                    .then((response) => resolve(response))
                    .catch((error) => reject(error));
        });
    },

    getResourceLine: (context, resourceLineID) => {
        return new Promise((resolve, reject) => {
            ResourceLineService.getResourceLine(resourceLineID)
                .then((response) => resolve(response))
                .catch((error) => reject(error));
        });
    },

    getResourceLineMapping: ({}, resourceLineId) => {
        return new Promise((resolve, reject) => {
            ResourceLineService.getResourceLineMapping(resourceLineId)
                .then((response) => resolve(response))
                .catch((error) => reject(error));
        });
    },

    updateResourceLine: ({}, {resourceLineId, resourceLineName}) => {
        return new Promise((resolve, reject) => {
            ResourceLineService.updateResourceLine(resourceLineId, {name: resourceLineName})
                .then((response) => resolve(response))
                .catch((error) => reject(error));
        });
    }
};

export default {
    state, mutations, getters, actions
}
