import ThemeService from "../../services/OcuService/modules/themeService";

const state = {
    themes: [],
};

const mutations = {
    SET_THEMES(state, themes) {
        state.themes = themes;
    },

    SET_THEME(state, theme) {
        let themeInStore = state.themes.find(x => x.id === theme.id);
    },
};

const getters = {
    getThemes: (state) => () => {
        return state.themes;
    }
};

const actions = {
    getThemes: ({commit, getters}) => {
        return new Promise((resolve, reject) => {
            if (getters.getThemes().length > 0) {
                resolve(getters.getThemes());
            } else {
                ThemeService.getThemes()
                    .then((response) => resolve(response))
                    .catch((error) => reject(error));
            }
        });
    },

    getTheme: ({commit, getters}, themeId) => {
        return new Promise((resolve, reject) => {
            ThemeService.getTheme(themeId)
                .then((response) => resolve(response))
                .catch((error) => reject(error));
        });
    },

    createTheme: ({commit}, themeData) => {
        return new Promise((resolve, reject) => {
            ThemeService.createTheme(themeData)
                .then((response) => resolve(response))
                .catch((error) => reject(error));
        });
    },

    updateTheme: ({commit}, {themeId, themeData}) => {
        return new Promise((resolve, reject) => {
            ThemeService.updateTheme(themeId, themeData)
                .then((response) => resolve(response))
                .catch((error) => reject(error));
        });
    },

    deleteTheme: ({commit}, {themeId}) => {
        return new Promise((resolve, reject) => {
            ThemeService.deleteTheme(themeId)
                .then((response) => resolve(response))
                .catch((error) => reject(error));
        });
    },

    duplicateTheme: ({commit}, {themeId}) => {
        return new Promise((resolve, reject) => {
            ThemeService.duplicateTheme(themeId)
                .then((response) => resolve(response))
                .catch((error) => reject(error));
        });
    }
};


export default {
    state, actions, mutations, getters
}
