describe('Ambiences API Test', () => {
    it('Get ambiences', () => {
        cy.vuex().invoke('dispatch', 'getAmbiences')
            .should((response) => {
                assert.typeOf(response, 'object', 'response should be object');
            });
    });

    it('Create ambience', () => {
        const ambience = {
            name: "new Ambience",
            colors: [],
            images: {
                portrait: [],
                landscape: []
            }
        };
        cy.vuex().invoke('dispatch', 'createAmbience', ambience)
            .should((response) => {
                assert.typeOf(response, 'object', 'response should be object');
                expect(response.data.name).to.equal(ambience.name);
            });
    });

    it('Get created ambience', () => {
        cy.vuex().invoke('dispatch', 'getAmbience', 1)
            .should((response) => {
                assert.typeOf(response, 'object', 'response should be object');
                expect(response.data.id).to.equal(1);
                expect(response.data.name).to.equal('new Ambience');
            });
    });

    it('Update created ambience', () => {
        const ambience = {
            name: "new Ambience test",
            colors: [],
            images: {
                portrait: [],
                landscape: []
            }
        };

        const updateObj = {
            ambienceId: 1,
            ambienceData: ambience
        };

        cy.vuex().invoke('dispatch', 'updateAmbience', updateObj)
            .should((response) => {
                assert.typeOf(response, 'object', 'response should be object');
                expect(response.data.name).to.equal(ambience.name);
                expect(response.data.id).to.equal(1);
            });
    });

    it('Delete created ambience', () => {
        cy.vuex().invoke('dispatch', 'deleteAmbience', 1)
            .should((response) => {
                assert.typeOf(response, 'object', 'response should be object');
                expect(response.response).to.equal("success");
            });
    });
});
