describe('Products API Test', () => {
    it('Get all products', () => {
        cy.vuex().invoke('dispatch', 'getProducts')
            .should((response) => {
                assert.typeOf(response, 'object', 'response should be object');
            });
    });

    it('Get filter facets', () => {
        cy.vuex().invoke('dispatch', 'getFacets', "nl")
            .should((response) => {
                assert.typeOf(response, 'object', 'response should be object');
                assert.typeOf(response.colours, 'array', 'response should contain colour array');
                assert.typeOf(response.brands, 'array', 'response should contain brand array');
                assert.typeOf(response.categories, 'array', 'response should contain category array');
                assert.typeOf(response.rfidTags, 'array', 'response should contain rfidTags array');
            });
    });

    it('Get RFIDCodes', () => {
        cy.vuex().invoke('dispatch', 'getRFIDCodes')
            .should((response) => {
                assert.typeOf(response, 'object', 'response should be object');
            });
    });

    it('Get product', () => {
        cy.vuex().invoke('dispatch', 'getProduct', 1)
            .should((response) => {
                assert.typeOf(response, 'object', 'response should be object');
                expect(response.data.id).to.equal(1);
            });
    });

    it('Get filtered products', () => {
        const filterObj = {
            query: {
            },
            page:1,
            language: "nl"
        };

        cy.vuex().invoke('dispatch', 'getFilteredProducts', filterObj)
            .should((response) => {
                assert.typeOf(response, 'object', 'response should be object');
                expect(response.data.length).to.equal(1);
            });
    });
});
