describe('Selections API Test', () => {
    it('Get selections', () => {
        cy.vuex().invoke('dispatch', 'getSelections')
            .should((response) => {
                assert.typeOf(response, 'object', 'response should be object');
            });
    });

    it('Create selection', () => {
        const selectionData = {
            name: "new selection",
            shareType: "public",
            shareOptions: [],
            productIds: [],
            selectionIds: []
        };
        cy.vuex().invoke('dispatch', 'createSelection', selectionData)
            .should((response) => {
                assert.typeOf(response, 'object', 'response should be object');
                expect(response.data.name).to.equal(selectionData.name);
            });
    });

    it('Get created selection', () => {
        cy.vuex().invoke('dispatch', 'getSelection', 1)
            .should((response) => {
                assert.typeOf(response, 'object', 'response should be object');
                expect(response.data.id).to.equal(1);
                expect(response.data.name).to.equal("new selection");
            });
    });

    it('Update created selection', () => {
        const selectionData = {
            name: "new selection",
            shareType: "public",
            shareOptions: [],
            productIds: [1],
            selectionIds: []
        };

        const updateData = { selectionId:1, selectionData};
        cy.vuex().invoke('dispatch', 'updateSelection', updateData)
            .should((response) => {
                assert.typeOf(response, 'object', 'response should be object');
                expect(response.data.id).to.equal(updateData.selectionId);
                expect(response.data.name).to.equal(selectionData.name);
                expect(response.data.productIds.length).to.equal(1);
            });
    });

    it('Delete created selection', () => {
        cy.vuex().invoke('dispatch', 'deleteSelection', 1)
            .should((response) => {
                assert.typeOf(response, 'object', 'response should be object');
                expect(response.response).to.equal("success");
            });
    });

});
