describe('User API Test', () => {

    let userID = null;
    /*GET Requests*/
    it('Get all users', () => {
        cy.vuex().invoke('dispatch', 'getAllUsers').should((response) => {
            assert.typeOf(response, 'object', 'response is array');
        });
    });

    //it('Get specific user', () => {
    //    cy.vuex().invoke('dispatch', 'getUser', 1).should((response) => {
    //        assert.typeOf(response, 'object', 'response is object');
    //    });
    //});

    it('Get current user', () => {
        cy.vuex().invoke('dispatch', 'getUser').should((response) => {
            assert.typeOf(response, 'object', 'response is object');
            expect(response.data.name).to.equal('user');
            expect(response.data.email).to.equal('user@ocular.be');
            expect(response.data.id).to.equal(1);
            expect(response.data.rights).not.to.be.undefined;
        });
    });


    /*POST Request*/

    it('Update user', () => {
        let userData = {
            id: 1,
            user: {
                name: 'user',
                language: "nl",
                password: 'ocular123'
            }
        };

        cy.vuex().invoke('dispatch', 'updateUser', userData).should((response) => {
            assert.typeOf(response, 'object', 'response is object');
            expect(response.name).to.equal(userData.name);
            expect(response.language).to.equal(userData.language);
        });
    });

    it('Set last logged in property', () => {
        cy.vuex().invoke('dispatch', 'setLastLoggedInAtProperty').should((response) => {
            assert.typeOf(response, 'object', 'response is object');
            expect(response.data.name).to.equal('user');
            expect(response.data.email).to.equal('user@ocular.be');
        })
    });

    //it('Set role to new user', () => {
    //    cy.vuex().invoke('dispatch', 'setRoleToUser', {userId: userID, roleId: 3}).should((response) => {
    //        assert.typeOf(response, "object", 'response is object');
    //        expect(response.name).to.equal('Davy');
    //    });
//
    //});
//
    //it('Check update user role', () => {
    //    cy.vuex().invoke('dispatch', 'getUser', userID).should((response) => {
    //        assert.typeOf(response, "object", "response is object");
    //        expect(response.name).to.equal('Davy');
    //        expect(response.role).to.equal('player');
    //    });
    //});

});
