describe('Core Components - Form', () => {
    it('Route to Form Components test', () => {
        cy.visit('/core-components/form')
    });

    it('Autocomplete Component : Test select option', () => {

    });

    it('Autocomplete Component : Test search option', () => {

    });

    it('Checkbox Component : Select options', () => {
        cy.get('input[name="checkbox__test--1"]').check({force: true}).should('be.checked');
        cy.get('input[name="checkbox__test--1"]').uncheck({force: true});

        cy.get('input[name="checkbox__test--2"]').check({force: true}).should('be.checked');
        cy.get('input[name="checkbox__test--2"]').uncheck({force: true});

        cy.get('input[name="checkbox__test--3"]').check({force: true}).should('be.checked');
        cy.get('input[name="checkbox__test--3"]').uncheck({force: true});

        cy.get('input[name="checkbox__test--4"]').check({force: true}).should('be.checked');
        cy.get('input[name="checkbox__test--4"]').uncheck({force: true});
    });

    it('Radio-button Component : Test 1', () => {
        cy.get('.c-form__radio-button:first').check().should('be.checked');
        cy.get('.c-form__radio-button:last').check().should('be.checked');
    });


    it('Input Component : Type first input', () => {
        cy.get('input[name="input__test"]').type('Test Input component')
            .should('have.value', 'Test Input component')
            .clear()
            .type('Final test content')
            .should('have.value', 'Final test content');
    });

    it('Select Component : Select first value', () => {
        cy.get('.c-form__selectinput').select('Test 1')
            .should('have.value', 'Test 1');
    });

    it('Select Component : Select last value', () => {
        cy.get('.c-form__selectinput').select('Test 3')
            .should('have.value', 'Test 3');
    });

    it('Multi-select Component : Test 1', () => {

    });

    it('Slider Component : Test slide to value', () => {
        cy.get('input[type=range]')
            .trigger('mousedown', {which: 1})
            .invoke('val', 25)
            .trigger('change')
            .trigger('mouseup', {force: true});
    });

    it('Textarea Component : Test type content', () => {
        cy.get('.c-form__textarea').type('Test textarea content {enter} 2nd line content')
            .should('have.value', 'Test textarea content \n 2nd line content')
            .clear()
            .type('Final textarea content')
            .should('have.value', 'Final textarea content');
    });

    it('Text-editor Component : Test Bold text', () => {
        cy.get('.ProseMirror').type('Test text-editor content bold{selectall}');
        cy.get('.editor__menu__button--bold').click();
        cy.get('.ProseMirror').contains('Test text-editor content bold');
        cy.get('strong').should('contain', 'Test text-editor content bold');
        cy.get('.ProseMirror').clear();
        cy.get('.editor__menu__button--bold').click();
    });

    it('Text-editor Component : Test Italic text', () => {
        cy.get('.ProseMirror').type('Test text-editor content italic{selectall}');
        cy.get('.editor__menu__button--italic').click();
        cy.get('.ProseMirror').contains('Test text-editor content italic');
        cy.get('em').should('contain', 'Test text-editor content italic');
        cy.get('.ProseMirror').clear();
        cy.get('.editor__menu__button--italic').click();
    });

    it('Text-editor Component : Test Underline text', () => {
        cy.get('.ProseMirror').type('Test text-editor content underline{selectall}');
        cy.get('.editor__menu__button--underline').click();
        cy.get('.ProseMirror')
            .contains('Test text-editor content underline');
        cy.get('u').should('contain', 'Test text-editor content underline');
        cy.get('.ProseMirror').clear();
        cy.get('.editor__menu__button--underline').click();
    });

    it('Text-editor Component : Test ordered list', () => {
        cy.get('.editor__menu__button--orderedList').click();
        cy.get('.ProseMirror')
            .type('Test 1{enter}')
            .type('Test 2{enter}')
            .type('Test 3');

        cy.get('ol li:first').should('contain', 'Test 1');
        cy.get('ol li:last').should('contain', 'Test 3');
        cy.get('.ProseMirror').clear();
    });

    it('Text-editor Component : Test unordered list', () => {
        cy.get('.editor__menu__button--bulletList').click();
        cy.get('.ProseMirror')
            .type('Test 1{enter}')
            .type('Test 2{enter}')
            .type('Test 3');

        cy.get('.ProseMirror ul li:first').should('contain', 'Test 1');
        cy.get('.ProseMirror ul li:last').should('contain', 'Test 3');
        cy.get('.ProseMirror').clear();
    });
});
