var webpack = require('webpack');
var path = require('path');
// var polyfill = require("babel-polyfill");

module.exports = {
    entry: [
        // 'babel-polyfill',
        path.resolve(__dirname,"./src/index.js"),
    ],
    output: {
        path: path.resolve(__dirname, './dist/'),
        filename: "custom-dashboard-core.min.js"
    },
    output: {
        path: path.resolve(__dirname, './dist/'),
        filename: 'custom-dashboard-core.min.js',
        libraryTarget: 'window',
        library: 'VueCustomDashboardCore'
    },
    module: {
        rules: [
            {
                test: /\.vue$/,
                loader: "vue-loader",
                options: {
                    loaders: {
                        loader: "css-loader",
                        options: {
                            sourceMap: true
                        }
                    },
                    cssSourceMap: true,
                    transformToRequire: {
                        video: ["src", "poster"],
                        source: "src",
                        img: "src",
                        image: "xlink:href"
                    }
                }
            },
            {
                test: /\.js$/,
                loader: "babel-loader",
                exclude: /node_modules/
            },
            
            {
                test: /\.jsx?$/,
                loader: 'babel-loader',
                exclude: /node_modules/,
                query: {
                    presets:[ 'stage-2', 'es2015' ],
                    plugins: [
                        ['transform-runtime', {
                            helpers: false,
                            polyfill: false,
                            regenerator: true, }],
                            'transform-es2015-destructuring',
                            'transform-object-rest-spread',
                            'transform-async-to-generator',
                        ],
                    }
                }
        ]
    },
    resolve: {
        extensions: ['.js', '.vue', '.json'],
        alias: {
            'vue$': 'vue/dist/vue.common.js',
            'src': path.resolve(__dirname, '../src'),
            'assets': path.resolve(__dirname, '../src/assets'),
            'components': path.resolve(__dirname, '../src/components')
        }
    }
};